Bug 518877 - Kernel Panic booting Fedora 11 live CD on system with VIA Samuel 2 cpu (VIA C3)
Summary: Kernel Panic booting Fedora 11 live CD on system with VIA Samuel 2 cpu (VIA C3)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 18:27 UTC by Peter Belew
Modified: 2010-06-28 14:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:15:58 UTC


Attachments (Terms of Use)
Photo of screen showing kernel panic (282.37 KB, image/jpeg)
2009-08-23 18:27 UTC, Peter Belew
no flags Details
/proc/cpuinfo from Ubuntu (361 bytes, text/plain)
2009-08-23 18:30 UTC, Peter Belew
no flags Details
lspci -v output from Ubuntu (3.87 KB, text/plain)
2009-08-23 18:32 UTC, Peter Belew
no flags Details
/proc/meminfo from Ubuntu (1.14 KB, text/plain)
2009-08-23 18:33 UTC, Peter Belew
no flags Details
Screen photo of BIOS boot screen (118.93 KB, image/jpeg)
2009-08-23 18:35 UTC, Peter Belew
no flags Details
Boot line shown on screen (214.41 KB, image/jpeg)
2009-08-23 18:37 UTC, Peter Belew
no flags Details

Description Peter Belew 2009-08-23 18:27:45 UTC
Created attachment 358372 [details]
Photo of screen showing kernel panic

Description of problem:

  When I try to boot the F 11 live CD on my system with a Jetway 625EMP800/625EMW800 motherboard with a VIA cpu, after a few seconds a kernel panic results.


Version-Release number of selected component (if applicable):

  Kernel on F 11 live Cd


How reproducible:

  This happens every time

Steps to Reproduce:
1. Boot system, inserting live CD
2. In order to see information about the boot process, hit ESC and TAB and edit out 'quiet' in the boot line
3. Hit Enter and the boot proceeds to the crash.
  
Actual results:

 Screen messages scroll up, ending with the lines (taken from my photo)

 IO APIC resources could not be allocated
 registered taskstats version 1
  Magic number 5:676:694
 Initializing network drop monitor service
 Freeing unused kernel memory: 424k freed
 Write protecting the kernel read-only data: 1448k
 Kernel Panic - not syncing: attempted to kill init!

Expected results:

 The system should boot into Fedora 11 Linux, at at least 800x600 mode or preferably somewhat greater than 1024x768.

Additional info:

 I don't have any text or binary crash data, but I'm attaching /proc/cpuinfo, output of lspci -v (from running Ubuntu), and screen photographs taken during the boot process as described above.

 This system normally runs Ubuntu 9.04 well. I have another system with a similar motherboard and CPU, which exhibits the same kernel panic.

Comment 1 Peter Belew 2009-08-23 18:30:46 UTC
Created attachment 358373 [details]
/proc/cpuinfo from Ubuntu

This shows the CPU type

Comment 2 Peter Belew 2009-08-23 18:32:06 UTC
Created attachment 358374 [details]
lspci -v output from Ubuntu

Comment 3 Peter Belew 2009-08-23 18:33:36 UTC
Created attachment 358375 [details]
/proc/meminfo from Ubuntu

Comment 4 Peter Belew 2009-08-23 18:35:21 UTC
Created attachment 358376 [details]
Screen photo of BIOS boot screen

A bit blurry, but shows the CPU type etc.

Comment 5 Peter Belew 2009-08-23 18:37:49 UTC
Created attachment 358378 [details]
Boot line shown on screen

Boot line as edited to make screen output verbose.

Comment 6 Peter Belew 2009-08-29 02:43:44 UTC
It turns out the VIA C3 CPU in this system is not i686-compatible. Since the live CD in question is targeted towards the i686, it's likely an unsupported instruction was executed. So unless Fedora supports more generic i386 CPUs, this problem is likely to be in the "won't fix" category.

Comment 7 Bug Zapper 2010-04-28 09:55:51 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-06-28 14:15:58 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.